#!/usr/bin/python

# Lost Cities
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

from threading import *
import asyncore
import asynchat
import socket

class ConnectThread (Thread):
    def __init__ (self):
        Thread.__init__ (self)

    def run (self):
        asyncore.loop (1)

thr = None
def connect ():
    global thr
    if thr:
        thr.join ()

    thr = ConnectThread ()
    thr.start ()

def disconnect ():
    global thr
    if thr:
        thr.join ()
