#!/usr/bin/python

# Lost Cities
# Copyright 2003, David "Novalis" Turner <novalis@fsf.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

def canPlayCard (suit, rank, played):
    if len (played [suit]) == 0:
        #nothing played yet, anything OK
        return 1
        
    top = played [suit][-1]
    (topsuit, toprank) = parseCard (top)

    if toprank == 'handshake':
        #a handshake, anything can be played
        return 1
    if int (toprank) < rank - 2:
        return 1

    return 0

def parseCard (card):
    card = int (card)
    suit = card / 13
    rank = card % 13
    if rank < 3:
        rank = "handshake"
    else:
        rank = str (rank - 2)
    return (suit, rank)
